# SelBox examples
SelBox()
SelBox(data = NULL)
SelBox(data = NULL, lon = NULL)
SelBox(data = NULL, lon = NULL, lat = NULL)
SelBox(data = NULL, lon = NULL, lat = NULL, region = NULL)
SelBox(data = 1, lon = NULL, lat = NULL, region = NULL)
SelBox(data = "a", lon = 1, lat = 1, region = 1)
SelBox(data = 1, lon = 1, lat = 1, region = 1)
a <- 1 : 4
dim(a) <- c(2, 2)
SelBox(data = a, lon = 1, lat = 1, region = 1)
SelBox(data = a, lon = 1, lat = 1, region = c(1, 1, 1, 1))
SelBox(data = a, lon = 1 : 2, lat = 1, region = c(1, 1, 1, 1))
dim(a) <- c(lon = 2, lat = 2)
SelBox(data = a, lon = 1 : 2, lat = 1, region = c(1, 1, 1, 1))
dim(a) <- c(lon = 4, lat = 1)
SelBox(data = a, lon = 1 : 2, lat = 1, region = c(1, 1, 1, 1))
a <- 1 : 6
dim(a) <- c(2, 3)
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(1, 1, 1, 1))
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 1, 0, 1))
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1))
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1), londim = 3)
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1), londim = 2)
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1), londim = 1)
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1), londim = 2, latdim = 1)
SelBox(data = a, lon = 1 : 2, lat = 1 : 3, region = c(0, 2, 0, 1), londim = 1, latdim = 2)

